petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESSetLineSearch

Sets the linesearch on the SNES instance.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESSetLineSearch(SNES snes, SNESLineSearch linesearch)

Collective on SNES Many br

### Input Parameters

| snes | - iterative context obtained from SNESCreate() Many br
| linesearch | - the linesearch object Many br

### Notes

Use SNESGetLineSearch() to retrieve the preconditioner context (for example, Many brto configure it using the API). Many br

Many br

### Keywords

SNES, set, linesearch

### See Also

SNESGetLineSearch()

Level:developer
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex74f.F90.html